import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeDifficultyLevel = 'difficultyLevel';
  static const String parameterCodeBoardSize = 'boardSize';
  static const List<String> availableParameters = [
    parameterCodeDifficultyLevel,
    parameterCodeBoardSize,
  ];

  // difficulty level: available values
  static const String difficultyLevelValueEasy = 'easy';
  static const String difficultyLevelValueMedium = 'medium';
  static const String difficultyLevelValueHard = 'hard';
  static const String difficultyLevelValueNightmare = 'nightmare';
  static const List<String> allowedDifficultyLevelValues = [
    difficultyLevelValueEasy,
    difficultyLevelValueMedium,
    difficultyLevelValueHard,
    difficultyLevelValueNightmare,
  ];
  // difficulty level: default value
  static const String defaultDifficultyLevelValue = difficultyLevelValueMedium;

  // board size: available values
  static const String boardSizeValueSmall = 'small';
  static const String boardSizeValueMedium = 'medium';
  static const String boardSizeValueLarge = 'large';
  static const String boardSizeValueExtra = 'extra';
  static const List<String> allowedBoardSizeValues = [
    boardSizeValueSmall,
    boardSizeValueMedium,
    boardSizeValueLarge,
    boardSizeValueExtra,
  ];
  // board size: default value
  static const String defaultBoardSizeValue = boardSizeValueMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeDifficultyLevel:
        return DefaultActivitySettings.allowedDifficultyLevelValues;
      case parameterCodeBoardSize:
        return DefaultActivitySettings.allowedBoardSizeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
